petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceTensorGetSubspace

Get a space in the tensor product

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorGetSubspace(PetscSpace sp, PetscInt s, PetscSpace *subsp)

### Input Parameters

| sp | - the function space object
| s | - The space number

### Output Parameter

subsp -the PetscSpace

### See Also

PetscSpaceTensorSetSubspace(), PetscSpaceSetDegree(), PetscSpaceSetNumVariables()

### Level

intermediate

### Location

src/dm/dt/space/impls/tensor/spacetensor.c

### Implementations

PetscSpaceTensorGetSubspace_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages